# edit these two (and Version and Release) in case of update
%global         commit          98792b55c2ebf4ab4cafffb0780e0c4185fdc03d
%global         commitdate      20211015

%global         githubparent    magnific0
%global         shortcommit     %(c=%{commit}; echo ${c:0:7})
%global         gitversion      .%{commitdate}git%{shortcommit}

Name:           wondershaper
Version:        1.4.1
Release:        0%{gitversion}%{?dist}.1sunshine
Summary:        Helper utility for limiting an adapter's bandwidth and shaping the traffic.

Group:          Applications/Utilities
License:        GPLv2
URL:            https://github.com/%{githubparent}/%{name}
Source0:        https://github.com/%{githubparent}/%{name}/archive/%{commit}.tar.gz
BuildArch:      noarch

# tc:
%if 0%{?fedora} >= 25
Requires:       iproute-tc
%else
Requires:       iproute
%endif
# modprobe:
%if 0%{?fedora} >= 17
Requires:       kmod
%else
Requires:       module-init-tools
%endif

%description
Wonder Shaper is a script that allows the user to limit the bandwidth of one
or more network adapters. It does so by using iproute's tc command, but
greatly simplifies its operation.

%prep
%setup -q -n %{name}-%{commit}

%build
# nothing to do

%install
install -d %{buildroot}%{_bindir}
install -p -m755 %{name} %{buildroot}%{_bindir}
# no systemd support for the time being

%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc README.md README.bhubert ChangeLog
%{_bindir}/%{name}

%changelog
* Tue Aug 30 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 1.4.1-0.20211015git98792b5.1sunshine
- update to 1.4.1 and latest git snapshot
- use original upstream source
- adapt filename of old README

* Mon Nov 05 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 1.4-0.20180806git6e476ab.1sunshine
- update to latest git snapshot

* Thu Jul 19 2018 Moritz Barsnick <moritz+rpm@barsnick.net> 1.4-0.20180712gitfb4ea8e.1sunshine
- initial RPM
